function [f,g,h]=bltp_3(xu,xl,g_ll,g_ul,k)

p=1;q=1;
if nargin == 0
    prob.name = mfilename;
    ux=p;lx=q;
    prob.nxu = ux;
    prob.nxl = lx;
    prob.nf = 1;  %upper level
    prob.nfl=1;   %lower level
    prob.ng = 1;  %upper level
    prob.ngl=1;   %lower level
    prob.pqr = [1 2 1];
    prob.rangexu = zeros(prob.nxu,2);
    prob.rangexl = zeros(prob.nxl,2);
    ind=1;
    %variable for u1
    for i = 1:p
        prob.rangexu(ind,:) = [0,1];
        ind=ind+1;
    end
    
    ind=1;
    %variable for l1
    for i=1:q
        prob.rangexl(ind,:) = [0,1];
        ind=ind+1;
    end
    
    f = prob;
else
    if k == 1
        [f,g,h] = smd1_true_ul(xu,xl,g_ll, p,q);
    elseif k==2
        [f,g,h] = smd1_true_ll(xu,xl, p,q);
    else
        error('k can only be either 1(ul) or 2(ll)')
    end
end
return


function [f,g,h] = smd1_true_ul(xu,xl,g_ll,p,q)
  
    f_ul=(xu-1)^2+(xl-1)^2;
    f=f_ul; 
    g =0;
    h = 0;






return

function [f,g,h]= smd1_true_ll(xu,xl,p,q)


f_ll=0.5*xl^2+500*xl-50*xu*xl;
f =f_ll;
g =0;
h = 0;

return

