function [f,g,h]=bltp_4(xu,xl,g_ll,g_ul,k)

p=1;q=2;
if nargin == 0
    prob.name = mfilename;
    ux=p;lx=q;
    prob.nxu = ux;
    prob.nxl = lx;
    prob.nf = 1;  %upper level
    prob.nfl=1;   %lower level
    prob.ng = 2;  %upper level
    prob.ngl=2;   %lower level
    prob.pqr = [1 2 1];
    prob.rangexu = zeros(prob.nxu,2);
    prob.rangexl = zeros(prob.nxl,2);
    ind=1;
    %variable for u1
    for i = 1:p
        prob.rangexu(ind,:) = [0,1];
        ind=ind+1;
    end
    
    ind=1;
    %variable for l1
    for i=1:q
        prob.rangexl(ind,:) = [0,1];
        ind=ind+1;
    end
    
    f = prob;
else
    if k == 1
        [f,g,h] = smd1_true_ul(xu,xl,g_ll, p,q);
    elseif k==2
        [f,g,h] = smd1_true_ll(xu,xl, p,q);
    else
        error('k can only be either 1(ul) or 2(ll)')
    end
end
return


function [f,g,h] = smd1_true_ul(xu,xl,g_ll,p,q)


xu1=xu(1:p);

xl1=xl(1:q);
g_ul(1)=(xu(1)+xl(1)-xl(2)-1);
g_ul(2)=(xl(1)+xl(2)-1);
 f_ul=100*xu1+1000*xl1(1);
if g_ll(1)<=0 && g_ll(2)<=0
   
    
    f=-f_ul;
else
    f=1e6;
end
    
    g =g_ul;
    h = 0;






return

function [f,g,h]= smd1_true_ll(xu,xl,p,q)




xl1=xl(1:q);
g_ll(1)=(xu(1)+xl(1)-xl(2)-1);
g_ll(2)=(xl(1)+xl(2)-1);
f_ll=sum(xl1);
f =-f_ll;
g =g_ll;
h = 0;

return

