function [f,g,h]=bltp_6(xu,xl,g_ll,g_ul,k)

p=1;q=1;
if nargin == 0
    prob.name = mfilename;
    ux=p;lx=q;
    prob.nxu = ux;
    prob.nxl = lx;
    prob.nf = 1;  %upper level
    prob.nfl=1;   %lower level
    prob.ng = 1;  %upper level
    prob.ngl=1;   %lower level
    prob.pqr = [1 2 1];
    prob.rangexu = zeros(prob.nxu,2);
    prob.rangexl = zeros(prob.nxl,2);
    ind=1;
    %variable for u1
    for i = 1:p
        prob.rangexu(ind,:) = [0,15];
        ind=ind+1;
    end 
    ind=1;
    %variable for l1
    for i=1:q
        prob.rangexl(ind,:) = [0,20];
        ind=ind+1;
    end
    
    f = prob;
else
    if k == 1
        [f,g,h] = smd1_true_ul(xu,xl,g_ll, p,q);
    elseif k==2
        [f,g,h] = smd1_true_ll(xu,xl, p,q);
    else
        error('k can only be either 1(ul) or 2(ll)')
    end
end
return


function [f,g,h] = smd1_true_ul(xu,xl,g_ll,p,q)


g_ul(1)=-xu+xl;
if g_ll<=0  
    f_ul=xu^2+(xl-10)^2;
else
    f_ul=1e6;
end
f=f_ul;
g =g_ul;
h = 0;
return

function [f,g,h]= smd1_true_ll(xu,xl,p,q)
g_ll(1)=xu+xl-20;
f_ll=(xu+2*xl-30)^2;
f =f_ll;
g =g_ll;
h = 0;

return

