function [f,g,h]=smd10(xu,xl,g_ll,cp,k)
 
p=1;q=2;r=1;
if nargin == 0
    prob.name = mfilename;
    ux=p+r;lx=q+r;
	prob.nxu = ux;
    prob.nxl = lx;
	prob.nf = 1; %upper level
    prob.nfl =1; %lower level
	prob.ng = 2; % upper level
    prob.ngl = 2; % lower level 
    prob.pqr = [1 2 1];
	prob.rangexu = zeros(prob.nxu,2);
    prob.rangexl = zeros(prob.nxl,2);
    ind=1;
    %variable for u1
    for i = 1:p
        prob.rangexu(ind,:) = [-5,10];
        ind=ind+1;
    end
    %variable for u2
    for i=1:r
        prob.rangexu(ind,:) = [-5,10];
        ind=ind+1;
    end
    ind=1;
    %variable for l1
    for i=1:q
        prob.rangexl(ind,:) = [-5,10];
        ind=ind+1;
    end 
   %variable for l2
    for i=1:r
        prob.rangexl(ind,:) = [-pi/2+1e-2,pi/2-1e-2];
        ind=ind+1;
    end
    f = prob;
else
    if k == 1
    	[f,g,h] = smd1_true_ul(xu,xl,g_ll, p,q,r);
    elseif k==2
        [f,g,h] = smd1_true_ll(xu,xl,cp, p,q,r);
   
    else
        error('k can only be either 1(ul) , 2(ll) ,3 or 4 ')
    end
end
return


function [f,g,h] = smd1_true_ul(xu,xl,g_ll,p,q,r)

% disp(g_ll)
xu1=xu(1:p);xu2=xu(p+1:p+r);xl1=xl(1:q);xl2=xl(q+1:end);

 
   for i=1: p
       g_ul(i)=-(xu1(i) + xu1(i).^3 - sum(xu1.^3) - sum(xu2.^3));
   end
     
   for i=1:r
       g_ul(p+i)=-(xu2(i) + xu2(i).^3 - sum(xu2.^3) - sum(xu1.^3));
   end
    


if g_ll(1)<=0 && g_ll(2)<=0 

         
          f_ul=sum((xu1 - 2).^2)+ sum((xl1).^2)+ sum((xu2 - 2).^2) - sum((xu2 - tan(xl2)).^2);      
          f=f_ul;
           
else
            f=1e6;               
end
 g=g_ul;
 h=0;
    

return

function [f,g,h]= smd1_true_ll(xu,xl,cp,p,q,r)



% xu=[1 1];
xu1=xu(1:p);xu2=xu(p+1:p+r);xl1=xl(1:q);xl2=xl(q+1:end);

         
 
        for i=1:q
            g_ll(i)=-(xl1(i)+xl1(i).^3-sum(xl1.^3));
        end
        
       
       
       f_ll= sum((xu1).^2) + sum((xl1 - 2).^2) + sum((xu2 - tan(xl2)).^2);
    
            f = f_ll;
            g=g_ll;
            h=0;
return 



